User Accounts
Get userAccounts by UUIDs
Retrieves userAccount details for the provided array of userAccountUuids, most recently updated first.
POST
/
api
/
{portfolio}
/
portfolios
/
v1
/
userAccounts
/
get_by_uuids
Get userAccounts by UUIDs
curl --request POST \
--url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/userAccounts/get_by_uuids \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"userAccountUuids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}
'import requests
url = "https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/userAccounts/get_by_uuids"
payload = { "userAccountUuids": ["3fa85f64-5717-4562-b3fc-2c963f66afa6"] }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userAccountUuids: ['3fa85f64-5717-4562-b3fc-2c963f66afa6']})
};
fetch('https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/userAccounts/get_by_uuids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"userAccountUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"jobTitle": "<string>",
"email": "jsmith@example.com",
"accountStatus": "PENDING_VERIFICATION",
"rootRoleUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rootRoleName": "<string>",
"organizationUuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"dateEmailVerified": "2023-11-07T05:31:56Z",
"datePhoneVerified": "2023-11-07T05:31:56Z",
"dateActivated": "2023-11-07T05:31:56Z",
"dateDeactivated": "2023-11-07T05:31:56Z",
"dateLastLogin": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"phone": "<string>"
}
]Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
Body
application/json
Array of userAccount UUIDs to retrieve details for
Example:
["3fa85f64-5717-4562-b3fc-2c963f66afa6"]
Response
UserAccount details retrieved
Available options:
PENDING_VERIFICATION, ACTIVE, LOCKED, DEACTIVATED Role display name
10-digit US phone number
⌘I
Get userAccounts by UUIDs

